org.scalatest.events

# RunStopped

#### case class RunStopped (ordinal: Ordinal, duration: Option[Long], summary: Option[Summary], formatter: Option[Formatter], payload: Option[Any], threadName: String, timeStamp: Long) extends Event with Product with Serializable

Event that indicates a runner has stopped running a suite of tests prior to completion, likely because of a stop request.

`Suite`'s `execute` method takes a `Stopper`, whose `stopRequested` method indicates a stop was requested. If `true` is returned by `stopRequested` while a suite of tests is running, the `execute` method should promptly return even if that suite hasn't finished running all of its tests.

If a stop was requested via the `Stopper`. `Runner` will report `RunStopped` when the `execute` method of the run's starting `Suite` returns. If a stop is not requested, `Runner` will report `RunCompleted` when the last `execute` method of the run's starting `Suite`s returns.

ScalaTest's `Runner` fires a `RunStopped` report with an empty `summary`, because the reporter is responsible for keeping track of the total number of tests reported as succeeded, failed, ignored, and pending. ScalaTest's internal reporter replaces the `RunStopped` with a new one that is identical except that is has a defined `summary`.

To create instances of this class you may use one of the factory methods provided in its companion object. For example, given a report function named `report`, you could fire a `RunStopped` event like this:

    report(RunStopped(ordinal))

ordinal

  an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

duration

  an optional amount of time, in milliseconds, that was required by the run that has stopped

summary

  an optional summary of the number of tests that were reported as succeeded, failed, ignored, and pending

formatter

  an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

payload

  an optional object that can be used to pass custom information to the reporter about the `RunStopped` event

threadName

  a name for the `Thread` about whose activity this event was reported

timeStamp

  a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, Event, Ordered[Event], Comparable[Event], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. RunStopped
2. Serializable
3. Serializable
4. Product
5. Equals
6. Event
7. Ordered
8. Comparable
9. AnyRef
10. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new RunStopped (ordinal: Ordinal, duration: Option[Long], summary: Option[Summary], formatter: Option[Formatter], payload: Option[Any], threadName: String, timeStamp: Long)

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   duration

     an optional amount of time, in milliseconds, that was required by the run that has stopped

   summary

     an optional summary of the number of tests that were reported as succeeded, failed, ignored, and pending

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   payload

     an optional object that can be used to pass custom information to the reporter about the `RunStopped` event

   threadName

     a name for the `Thread` about whose activity this event was reported

   timeStamp

     a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < (that: Event): Boolean

   Definition Classes
     Ordered

5. #### def <= (that: Event): Boolean

   Definition Classes
     Ordered

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def > (that: Event): Boolean

   Definition Classes
     Ordered

9. #### def >= (that: Event): Boolean

   Definition Classes
     Ordered

10. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

11. #### def canEqual (arg0: Any): Boolean

    Definition Classes
      RunStopped → Equals

12. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def compare (that: Event): Int

    Comparing `this` event with the event passed as `that`.

    Comparing `this` event with the event passed as `that`. Returns x, where x < 0 iff this < that, x == 0 iff this == that, x > 0 iff this > that.

    that

      the event to compare to this event

    Definition Classes
      Event → Ordered

14. #### def compareTo (that: Event): Int

    Definition Classes
      Ordered → Comparable

15. #### val duration : Option[Long]

    an optional amount of time, in milliseconds, that was required by the run that has stopped

16. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def equals (arg0: Any): Boolean

    Definition Classes
      RunStopped → Equals → AnyRef → Any

18. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

19. #### val formatter : Option[Formatter]

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    Definition Classes
      RunStopped → Event

20. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def hashCode (): Int

    Definition Classes
      RunStopped → AnyRef → Any

22. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

23. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

25. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

26. #### val ordinal : Ordinal

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    Definition Classes
      RunStopped → Event

27. #### val payload : Option[Any]

    an optional object that can be used to pass custom information to the reporter about the `RunStopped` event

    an optional object that can be used to pass custom information to the reporter about the `RunStopped` event

    Definition Classes
      RunStopped → Event

28. #### def productArity : Int

    Definition Classes
      RunStopped → Product

29. #### def productElement (arg0: Int): Any

    Definition Classes
      RunStopped → Product

30. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

31. #### def productPrefix : String

    Definition Classes
      RunStopped → Product

32. #### val summary : Option[Summary]

    an optional summary of the number of tests that were reported as succeeded, failed, ignored, and pending

33. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

34. #### val threadName : String

    a name for the `Thread` about whose activity this event was reported

    a name for the `Thread` about whose activity this event was reported

    Definition Classes
      RunStopped → Event

35. #### val timeStamp : Long

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    a `Long` indicating the time this event was reported, expressed in terms of the number of milliseconds since the standard base time known as "the epoch": January 1, 1970, 00:00:00 GMT

    Definition Classes
      RunStopped → Event

36. #### def toString (): String

    Definition Classes
      RunStopped → AnyRef → Any

37. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

38. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

39. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

40. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Event

### Inherited from Ordered[Event]

### Inherited from Comparable[Event]

### Inherited from AnyRef

### Inherited from Any